[android-components](../../index.md) / [mozilla.components.feature.pwa](../index.md) / [WebAppLauncherActivity](./index.md)

# WebAppLauncherActivity

`class WebAppLauncherActivity : AppCompatActivity` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/pwa/src/main/java/mozilla/components/feature/pwa/WebAppLauncherActivity.kt#L27)

This activity is launched by Web App shortcuts on the home screen.

Based on the Web App Manifest (display) it will decide whether the app is launched in the browser or in a
standalone activity.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `WebAppLauncherActivity()`<br>This activity is launched by Web App shortcuts on the home screen. |

### Functions

| Name | Summary |
|---|---|
| [onCreate](on-create.md) | `fun onCreate(savedInstanceState: <ERROR CLASS>?): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) |
| [onDestroy](on-destroy.md) | `fun onDestroy(): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) |
